distribution.files.post
curl --request POST \
--url 'https://api.musixmatch.com/ws/1.1/distribution.files.post?apikey='import requests
url = "https://api.musixmatch.com/ws/1.1/distribution.files.post?apikey="
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.musixmatch.com/ws/1.1/distribution.files.post?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"header": {
"status_code": 201,
"execute_time": 0.32
},
"body": {
"file": {
"file_id": 123456,
"upload_url": "https://storage.example.com/uploads/123456?signature=..."
}
}
}
}{
"message": {
"header": {
"status_code": 123,
"execute_time": 123
},
"body": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}
}{
"message": {
"header": {
"status_code": 123,
"execute_time": 123
},
"body": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}
}{
"message": {
"header": {
"status_code": 422,
"execute_time": 0.32
},
"body": {
"error": {
"code": "003"
}
}
}
}{
"message": {
"header": {
"status_code": 123,
"execute_time": 123
},
"body": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}
}Deliveries
distribution.files.post
Creates a pre-signed upload URL for a release ZIP file (ERN metadata + audio). Upload the file via HTTP PUT to the returned upload_url, then call POST /ws/1.1/distribution.delivery.post with the file_id to create the delivery.
POST
/
ws
/
1.1
/
distribution.files.post
distribution.files.post
Was this page helpful?